Bug 1025971 - Okular fails to print a .pdf
Okular fails to print a .pdf
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: okular (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-02 12:43 EDT by htd
Modified: 2015-02-17 14:00 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:00:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Here's the file which can't be printed. (276.04 KB, application/pdf)
2013-11-02 12:43 EDT, htd
no flags Details

  None (edit)
Description htd 2013-11-02 12:43:13 EDT
Created attachment 818604 [details]
Here's the file which can't be printed.

Description of problem:
When trying to print some .pdf documents, nothing happens. Starting okluar from the command line shows "lpr.cups: Bad job-name value: Name too long." Printing the same document from AdobeReader works perfectly.

Version-Release number of selected component (if applicable):

okular-libs-4.11.2-1.fc19.x86_64
okular-part-4.11.2-1.fc19.x86_64
okular-4.11.2-1.fc19.x86_64

How reproducible:

Go to "http://www.kunnskapssenteret.no/publikasjoner/_attachment/11834?_ts=12e712c0b05&download=true", open the document with okular and try to print it.

Steps to Reproduce:

See above.

Actual results:
The document does not get printed. Nothing happens.

Expected results:
The document gets printed.


Additional info:
Comment 1 Kevin Kofler 2013-11-11 18:04:13 EST
So the problem here is that that PDF has a loooong title ("GRUKs visjon er at når prosjektet er over har de deltakende enhetene pasienter som partnere i utvikling og gjennomføring av tjenestene, og dette har blitt en naturlig og nødvendig måte å arbeide på for dem som de er i ferd med å spre til andre deler av h"), Okular apparently tries to use that as the name for the print job, and lpr.cups then complains about the name being too long. I'm not sure whom to blame here, but I guess Okular could truncate the title of the print job to something CUPS will accept. Can you please report this to bugs.kde.org?
Comment 2 Fedora End Of Life 2015-01-09 15:26:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 14:00:06 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.